Package org.apache.jorphan.reflect

# Class ServiceLoadFailure<S>

java.lang.Object
org.apache.jorphan.reflect.ServiceLoadFailure<S>

public class ServiceLoadFailure<S> extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceLoadFailure(Class<? extends S> service, String className, Throwable throwable)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  `Class<? extends S>`
  `getService()`
  `Throwable`
  `getThrowable()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceLoadFailure

    public ServiceLoadFailure(Class<? extends S> service, String className, Throwable throwable)

- ## Method Details

  - ### getService

    public Class<? extends S> getService()

  - ### getClassName

    public String getClassName()

  - ### getThrowable

    public Throwable getThrowable()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`